Subject: linux-next: manual merge of the drm-intel tree with Linus' tree

From: Thierry Reding <[email-masked]>
Date: Tue, 28 Apr 2026 13:36:14 +0200

Hi all,

Today's linux-next merge of the drm-intel tree got a conflict in:

    drivers/gpu/drm/i915/display/skl_watermark.c

between commit:

    a97c88a176b6 ("drm/i915/wm: Verify the correct plane DDB entry")

from Linus' tree and commits (possibly others, too):

    4268d1397d94 ("drm/i915/wm: Extract skl_ddb_entry_verify()")
    fd52fb0d6cc2 ("drm/i915/wm: Verify 'ddb_y' as well as 'ddb'")

from the drm-intel tree.

I fixed it up manually, but it looks like I could've simply used the
version from the drm-intel tree. This is now fixed as far as linux-next
is concerned, but any non trivial conflicts should be mentioned to your
upstream maintainer when your tree is submitted for merging.  You may
also want to consider cooperating with the maintainer of the conflicting
tree to minimise any particularly complex conflicts.